Package: openvpn-auth-ldap / 2.0.3-6.1

Metadata

Package Version Patches format
openvpn-auth-ldap 2.0.3-6.1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
STARTTLS_before_auth.patch | (download)

src/auth-ldap.m | 20 10 + 10 - 0 !
1 file changed, 10 insertions(+), 10 deletions(-)

 run starttls *before* sending auth data
 Avoid sending authentication data in clear if STARTTLS is available.
gobjc_4.7_runtime.patch | (download)

aclocal.m4 | 9 9 + 0 - 0 !
1 file changed, 9 insertions(+)

 fix build failure with gcc 4.7
 - aclocal.m4 (OD_OBJC_RUNTIME): Check for modern GNU runtime (GCC 4.6+).
Bug-Debian: http://bugs.debian.org/667316
openvpn_ldap_simpler_add_handler_4 | (download)

src/auth-ldap.m | 19 6 + 13 - 0 !
1 file changed, 6 insertions(+), 13 deletions(-)

 move address checks further down to avoid certain failures
 this tries to avoid certain failures with the LDAP plugin where it
 doesn't get passed the remoteAddress in certain cases. since we do
 may not care about this address, we fail only when really necessary.

auth ldap gnustep.patch | (download)

aclocal.m4 | 53 49 + 4 - 0 !
src/Makefile.in | 3 2 + 1 - 0 !
src/TRObject.h | 10 10 + 0 - 0 !
src/TRObject.m | 4 4 + 0 - 0 !
src/auth-ldap.m | 14 13 + 1 - 0 !
tests/Makefile.in | 2 1 + 1 - 0 !
6 files changed, 79 insertions(+), 7 deletions(-)

 remove deps on gcc-4.6, build with gnustep-base
Bug-Debian: http://bugs.debian.org/747989